<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <!-- SITE META -->
    <title>Gigi Motors Website</title>
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="keywords" content="">

    <!-- FAVICONS -->
    <link rel="shortcut icon" href="{{url_for('static',filename='assets/images/logo.png')}}" type="image/x-icon">
    <link rel="apple-touch-icon" href="{{url_for('static',filename='assets/images/apple-touch-icon.png')}}">
    <link rel="apple-touch-icon" sizes="57x57" href="{{url_for('static',filename='assets/images/apple-touch-icon-57x57.png')}}">
    <link rel="apple-touch-icon" sizes="72x72" href="{{url_for('static',filename='assets/images/apple-touch-icon-72x72.png')}}">
    <link rel="apple-touch-icon" sizes="76x76" href="{{url_for('static',filename='assets/images/apple-touch-icon-76x76.png')}}">
    <link rel="apple-touch-icon" sizes="114x114" href="{{url_for('static',filename='assets/images/apple-touch-icon-114x114.png')}}">
    <link rel="apple-touch-icon" sizes="120x120" href="{{url_for('static',filename='assets/images/apple-touch-icon-120x120.png')}}">
    <link rel="apple-touch-icon" sizes="144x144" href="{{url_for('static',filename='assets/images/apple-touch-icon-144x144.png')}}">
    <link rel="apple-touch-icon" sizes="152x152" href="{{url_for('static',filename='assets/images/apple-touch-icon-152x152.png')}}">
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
    {%block css%}
    <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='assets/revolution/settings.css')}}">
    <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='assets/revolution/layers.css')}}">
    <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='assets/revolution/navigation.css')}}">

    <!-- BOOTSTRAP STYLES -->
    <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='assets/css/bootstrap.min.css')}}">
    <!-- TEMPLATE STYLES -->
    <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='assets/style.css')}}">
    <!-- RESPONSIVE STYLES -->
    <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='assets/css/responsive.css')}}">
    <!-- COLORS -->
    <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='assets/css/colors.css')}}">

    <!-- CUSTOM STYLES -->
    <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='assets/css/custom.css')}}">

    {% endblock %}
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>
<body>

    <div id="wrapper">

        <!-- ******************************************
        START HEADER
        ********************************************** -->
        {% block transparent %}
        <div class="transparent-header {% if request.path == '/' or request.path == url_for('home.index') %}header-2{% endif %}">
            <div class="header gigimotors hidden-xs hidden-sm">
                <div class="container-fluid">
                    <div class="d-flex justify-content-center">
                        <div class="mx-3">
                            <p class="gigimotors-para pt-3 text-caps text-white">
                                <img src="{{ url_for('static', filename='img/map-icon.png') }}" alt="" width="20px">&nbsp;
                                Gigi Motors, LLC, Argwings Khodek Road, Near Chaka Place.
                            </p>
                        </div>
                        <div class="mx-3">
                            <p class="gigimotors-para pt-3 text-caps text-white">
                                <img src="{{ url_for('static', filename='img/time-icon.png') }}" alt="" width="20px"> &nbsp;
                                Mon - Sun 8.00 - 6.00
                            </p>
                        </div>
                        <div class="mx-3">
                            <p class="gigimotors-para pt-3 text-caps text-white">
                                <img src="{{ url_for('static', filename='img/phone-icon.png') }}" alt="" width="20px"> &nbsp;
                                +(254) 717 187 966 | +(254) 726 310 490
                            </p>
                        </div>
                    </div>
                </div><!-- end container -->
            </div><!-- end header -->

            <nav class="navbar navbar-inverse">
                <div class="container">
                    <a href="#" class="navbar-brand">
                      <img style="" src="{{url_for('static',filename='assets/images/logo.png')}}" alt="" class="img-responsive mx-3" width="150px">
                    </a>
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                        </button>
                    </div>
                    <div id="navbar" class="navbar-collapse collapse py-4">
                        <ul class="nav navbar-nav {% if request.path == '/' or request.path == url_for('home.index') %}py-4{% endif %}">
                            <li><a class="" href="{{ url_for('home.index') }}">Home</a></li>
                            <li class="dropdown hasmenu">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Our Stock<span class="fa fa-angle-down"></span></a>
                                <ul class="dropdown-menu">
                                    <li><a href="{{ url_for('home.inventory') }}">View Our Stock</a></li>
                                    <li><a href="{{ url_for('home.financing') }}">Financing</a></li>
                                </ul>
                            </li>
                            <li class="dropdown hasmenu">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Sell Your Car<span class="fa fa-angle-down"></span></a>
                                <ul class="dropdown-menu">
                                    <li><a href="{{ url_for('home.sell_your_car') }}">Sell Through Gigi</a></li>
                                    <li><a href="{{ url_for('home.trade_in') }}">Trade In</a></li>
                                </ul>
                            </li>
                            <li><a class="" href="{{ url_for('home.imports') }}">Import</a></li>
                            <li><a class="" href="{{ url_for('home.tips') }}">Tips & Reviews</a></li>
                            <li><a class="" href="{{ url_for('home.contact_us') }}">Contact Us</a></li>
                        </ul>
                        <ul class="nav navbar-nav navbar-right  {% if request.path == '/' or request.path == url_for('home.index') %}py-4{% endif %}">
                            <li class="social-header"><a href="https://www.facebook.com/GigiMotorsKenya" target="_blank"><i class="fa fa-facebook"></i></a></li>
                            <li class="social-header"><a href="https://twitter.com/gigimotors" target="_blank"><i class="fa fa-twitter"></i></a></li>
                            <li class="social-header"><a href="https://www.instagram.com/gigimotors_ke" target="_blank"><i class="fa fa-instagram"></i></a></li>
                        </ul>
                    </div><!--/.nav-collapse -->
                </div><!--/.container-fluid -->
            </nav><!-- end nav -->
        </div><!-- end transparent header -->
        {% endblock %}
        {% with messages = get_flashed_messages(with_categories=True) %}
        {% if messages %}
          {% for category, msg in messages %}
            <div class="alert alert-{{ category }}" role="alert">
                {{ msg }}
            </div>
        {% endfor %}
        {% endif %}
        {% endwith %}
        {% block content%}
        {%endblock%}
        <!-- ******************************************
        FOOTER
        ********************************************** -->
        <div class="section footer">
            <div class="container-fluid mx-7">
                <div class="row">
                    <div class="col-md-3">
                        <div class="widget clearfix">
                            <div class="widget-title">
                                <h4 class="text-primary">Gigi Motors</h4>
                            </div><!-- end widget-title -->
                            <div class="about-widget">
                                <p>
                                    Gigi Motors is the pioneer among the dealerships in the Kenyan used car market. We have been dedicated to providing our clients both individual and corporate with premium quality new & used cars.
                                </p>
                            </div><!-- end about-widget -->
                        </div><!-- end widget -->
                    </div><!-- end col -->
                    <div class="col-md-3">
                        <div class="widget clearfix">
                            <div class="widget-title">
                                <h4 class="text-primary">Recent Posts</h4>
                            </div><!-- end widget-title -->
                                <ul class="">
                                    <li>
                                        <a href="#" class="text-grey">Has Car Duty Increased in 2018?</a>
                                    </li>
                                    <li>
                                        <a href="#" class="text-grey">Basic Car Maintenance</a>
                                    </li>
                                    <li>
                                        <a href="#" class="text-grey">What to do after buying a used car</a>
                                    </li>
                                </ul>
                        </div><!-- end widget -->
                    </div><!-- end col -->
                    <div class="col-md-3">
                        <div class="widget clearfix">
                            <div class="widget-title">
                                <h4 class="text-primary">Work Hours</h4>
                            </div><!-- end widget-title -->
                            <div class="textwidget">
                                <p>
                                    Mon - Fri : 9:00 am - 7:00 pm<br>
                                    Sat: 10:00 am - 7:00 pm<br>
                                    Sun: 12 Noon - 7:00 pm
                                </p>
                            </div>
                        </div><!-- end widget -->
                    </div><!-- end col -->
                    <div class="col-md-3">
                        <div class="widget clearfix">
                            <div class="widget-title">
                                <h4 class="text-primary">Contact Details</h4>
                            </div><!-- end widget-title -->
                            <div class="textwidget">
                                <p>
                                    Phone: +(254) 726 310 490<br>
                                    Email: <a href="mailto:info@gigimotors.co.ke">info@gigimotors.co.ke</a><br>
                                </p>
                            </div>
                        </div><!-- end widget -->
                    </div><!-- end col -->
                </div><!-- end row -->

                <hr>
            </div><!-- end container -->
        </div><!-- end footer -->

        <!-- ******************************************
        COPYRIGHTS
        ********************************************** -->
        <div class="copyrights">
            <div class="container">
                <div class="row">
                    <div class="col-md-6 col-xs-12 text-left">
                        <p>©2019 Gigi Motors. All Rights Reserved. Designed by <a href="http://www.simplyvivid.co.ke" target="_blank">Simply Vivid Media</a>.</p>
                    </div><!-- end col -->
                </div><!-- end row -->
            </div><!-- end container -->
        </div><!-- end copyrights -->
        <div class="dmtop"><i class="fa fa-angle-up"></i></div>
    </div><!-- end wrapper -->

    <!-- ******************************************
    /END SITE
    ********************************************** -->

    <!-- ******************************************
    DEFAULT JAVASCRIPT FILES
    ********************************************** -->
    {% block scripts %}
    <script type="text/javascript" src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.2.4.js"></script>
    <script src="{{url_for('static',filename='assets/js/bootstrap.js')}}"></script>
    <script src="{{url_for('static',filename='assets/js/bootstrap-select.js')}}"></script>
    <script src="{{url_for('static',filename='assets/js/retina.js')}}"></script>
    <script src="{{url_for('static',filename='assets/js/animate.js')}}"></script>
    <script src="{{url_for('static',filename='assets/js/device.js')}}"></script>
    <script src="{{url_for('static',filename='assets/js/parallax.js')}}"></script>
    <script src="{{url_for('static',filename='assets/js/fitvid.js')}}"></script>
    <script src="{{url_for('static',filename='assets/js/owl-carousel.js')}}"></script>
    <script src="{{url_for('static',filename='assets/js/custom.js')}}"></script>
    <!-- revolution -->
    <script src="{{url_for('static',filename='assets/revolution/jquery.themepunch.tools.min.js')}}"></script>
    <script src="{{url_for('static',filename='assets/revolution/jquery.themepunch.revolution.min.js')}}"></script>
    <script type="text/javascript" src="{{url_for('static',filename='assets/revolution/revolution.extension.slideanims.min.js')}}"></script>
    <script type="text/javascript" src="{{url_for('static',filename='assets/revolution/revolution.extension.layeranimation.min.js')}}"></script>
    <script type="text/javascript" src="{{url_for('static',filename='assets/revolution/revolution.extension.navigation.min.js')}}"></script>
    <script type="text/javascript" src="{{url_for('static',filename='assets/revolution/revolution.extension.kenburn.min.js')}}"></script>
    <script type="text/javascript" src="{{url_for('static',filename='assets/revolution/revolution.extension.actions.min.js')}}"></script>
    <script type="text/javascript" src="{{url_for('static',filename='assets/revolution/revolution.extension.parallax.min.js')}}"></script>
    <script type="text/javascript" src="{{url_for('static',filename='assets/revolution/revolution.extension.migration.min.js')}}"></script>
    <script src="{{url_for('static', filename='js/alertify.min.js')}}"></script>


    <!--Start of Tawk.to Script-->
    <script type="text/javascript">
    var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
    (function(){
    var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
    s1.async=true;
    s1.src='https://embed.tawk.to/5901db754ac4446b24a6c3d1/default';
    s1.charset='UTF-8';
    s1.setAttribute('crossorigin','*');
    s0.parentNode.insertBefore(s1,s0);
    })();
    </script>
    <!--End of Tawk.to Script-->


    <script type="text/javascript">
    /* ==============================================
    REV SLIDER -->
    =============================================== */
        var tpj=jQuery;
        var revapi4;
        tpj(document).ready(function() {
            if (tpj("#main_slider").revolution==undefined) {
                revslider_showDoubleJqueryError("#main_slider");
            }
            else {
                revapi4=tpj("#main_slider").show().revolution( {
                    sliderType: "standard", sliderLayout: "auto", loops: false, delay: 7500, navigation: {
                        keyboardNavigation: "off", keyboard_direction: "horizontal", mouseScrollNavigation: "off", onHoverStop: "on", touch: {
                            touchenabled: "on", swipe_threshold: 75, swipe_min_touches: 1, swipe_direction: "horizontal", drag_block_vertical: false
                        }
                        , arrows: {
                            style: "hephaistos", enable: true, hide_onmobile: false, hide_onleave: false, tmp: '<div class="arrow-holder"> </div>', left: {
                                h_align: "left", v_align: "center", h_offset: 28, v_offset: 32
                            }
                            , right: {
                                h_align: "right", v_align: "center", h_offset: 43, v_offset: 32
                            }
                        }
                        ,
                    }
                    , responsiveLevels: [2220, 1183, 975, 751], gridwidth: [1170, 970, 770, 480], gridheight: [700, 700, 700, 500], lazyType: "none", parallax: {
                        type: "mouse", origo: "slidercenter", speed: 2000, levels: [2, 3, 4, 5, 6, 7, 12, 16, 10, 50],
                    }
                    , shadow: 0, spinner: "off", stopLoop: "off", stopAfterLoops: -1, stopAtSlide: -1, shuffle: "off", autoHeight: "off", hideThumbsOnMobile: "off", hideSliderAtLimit: 0, hideCaptionAtLimit: 0, hideAllCaptionAtLilmit: 0, debugMode: false, fallbacks: {
                        simplifyAll: "off", nextSlideOnWindowFocus: "off", disableFocusListener: false,
                    }
                }
                );
            }
        }
    );
    /*ready*/
    </script>
    <script type="text/javascript">
    $(document).ready(function(){
      var dropdown = {
          year: $('#car-years'),
          make: $('#car-makes'),
          model:$('#car-models'),
          fuel:$('#car-fuel'),
          trans:$('#car-trans'),
          div:$('#inventory-cars'),
          select:$('.carsearch')
      };

      updateModel();

      function get(name){
        if(name=(new RegExp('[?&]'+encodeURIComponent(name)+'=([^&]*)')).exec(location.search))
        return decodeURIComponent(name[1]);
      }

      function updateModel() {
          var send = {
              make: dropdown.make.val()
          };
          dropdown.model.attr('disabled', 'disabled');
          dropdown.model.empty();
          dropdown.model.append(
              $('<option>', {
                  value: 'model',
                  text: '--Any model--'
              })
          );

          $.getJSON("{{ url_for('home._get_model') }}", send, function(data) {
             dropdown.model.empty();
              data.forEach(function(item) {
                  dropdown.model.append(
                      $('<option>', {
                          value: item[0],
                          text: item[1]
                      })
                  );
              });
              var request =get('model');
              if (typeof request !== 'undefined' && request!= 'model') {
                dropdown.model.val(request).change
              }
              dropdown.model.removeAttr('disabled');

          });
      }

      function getSearch(){
        var send = {
            make: dropdown.make.val(),
            model: dropdown.model.val(),
            year : dropdown.year.val(),
            fuel : dropdown.fuel.val(),
            trans: dropdown.trans.val()
        };
        $.get("{{ url_for('home._filter_by_inventory') }}", send, function(data){
            dropdown.div.html(data)
        });
      }

      dropdown.make.on('change', function() {
          updateModel();
          {%- if request.path== url_for('home.inventory') %}
            getSearch();
          {% endif %}
      });

      {%-if request.path== url_for('home.inventory') %}
            dropdown.select.on('change', function() {
                getSearch();
            });
      {% endif %}


      var csrftoken = "{{ csrf_token() }}"
      $.ajaxSetup({
        beforeSend: function(xhr, settings) {
            if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type) && !this.crossDomain) {
                xhr.setRequestHeader("X-CSRFToken", csrftoken)
            }
        }
    })
    });
    </script>
    {% endblock %}
</body>
</html>
